import { Envelope } from 'rabbitmq-client';
export declare class AmqpMessageBuilder {
    private exchangeName;
    private routingKey;
    private headers;
    private message;
    private constructor();
    static create(): AmqpMessageBuilder;
    withExchangeName(exchangeName: string): AmqpMessageBuilder;
    withRoutingKey(routingKey: string): AmqpMessageBuilder;
    withHeaders(headers: {
        [key: string]: string;
    }): AmqpMessageBuilder;
    addHeader(key: string, value: string): AmqpMessageBuilder;
    withMessage(message: object): AmqpMessageBuilder;
    buildMessage(): AmqpMessage;
}
interface AmqpMessage {
    message: object;
    envelope: Envelope;
}
export {};
